-- background = { name, vertical_offset, parallax_factor, scaling }
-- item = { name containing '_items_', vertical_offset, frequency_weight, minimum_spacing, maximum_spacing, scaling }


function DesertLandscape()

    return
    {
        bg_color = { 65, 141, 240 },
        sky_override or { 'bg_desert_sky', 64, 1.0, 1.0 },
        --{ 'bg_desert_sky', 64, 1.0, 1.0 },
        { 'bg_desert_mountains', 80, 0.1, 1.0 },
        	{ 'bg_desert_items_clouds', 192, 1, 50.0, 250.0, 1.0 },
			{ 'bg_desert_items_clouds', 150, 1, 50.0, 250.0, 1.0 },
			{ 'bg_desert_items_clouds', 212, 1, 50.0, 250.0, 1.0 },
			{ 'bg_desert_items_clouds', 256, 1, 50.0, 250.0, 1.0 },
        { 'bg_desert_sand', 64, 0.5, 2.0 },
			{ 'bg_desert_items_statue', 70, 1, 300.0, 800.0, 1.0 },
			{ 'bg_desert_items_ruins', 55, 1, 300.0, 800.0, 1.0 },
			{ 'bg_desert_items_skeleton', 60, 1, 300.0, 800.0, 1.0 },			
        { 'bg_desert_road', 0, 1.0, 1.0 },
        { 'bg_desert_cracks_top_road', 0, 1.0, 1.25 },
		{ 'bg_desert_sand_above_road', 50, 1.0, 1.0 },
			{ 'bg_desert_items_sandmountain2', 25, 1, 500.0, 1000.0, 1.0 },
			{ 'bg_desert_items_sandmountain3', 30, 1, 500.0, 1000.0, 1.0 },
			{ 'bg_desert_items_gazstation', 40, 2, 200.0, 400.0, 1.0 },	
			{ 'bg_desert_items_hut', 40, 2, 200.0, 400.0, 1.0 },	
						
		{ '', 0, 1.0, 1.0 },
			{ 'bg_desert_items_rocks1', 30, 2, 50.0, 250.0, 1.0 },
			{ 'bg_desert_items_rocks2', 30, 2, 50.0, 250.0, 1.0 },
			{ 'bg_desert_items_rocks3', 30, 1, 50.0, 250.0, 1.0 },	
			{ 'bg_desert_items_cactus2', 33, 1, 200.0, 500.0, 1.0 },	
			{ 'bg_desert_items_cactus3', 33, 1, 200.0, 500.0, 1.0 },
			--{ 'bg_desert_items_tree', 35, 1, 200.0, 500.0, 1.0 },
		{ 'bg_desert_guard', 25, 1.0, 1.0 },
			{ 'bg_desert_items_cactus1', 25, 2, 600.0, 800.0, 1.0 },
			{ 'bg_desert_items_carousels', 25, 1, 200.0, 400.0, 1.0 },
			{ 'bg_desert_items_wheel', 20, 2, 100.0, 500.0, 1.0 },
			{ 'bg_desert_items_skull', 25, 1, 100.0, 500.0, 1.0 },			
        { 'bg_landmines_01', 0, 1.0, 1.0 },
        { 'bg_landmines_02', 0, 1.0, 1.0 },
        { 'bg_landmines_03', 0, 1.0, 1.0 },
        { 'bg_landmines_04', 0, 1.0, 1.0 },
		{ '', 0, 1.5, 1.0 },
			{ 'bg_desert_items_tree', -5, 1, 50.0, 200.0, 1.0 },
			{ 'bg_desert_items_bushes_foreground', 0, 3, 1.0, 100.0, 2.0 },
    }
end

function DesertLandscape2()
    return
    {
        bg_color = { 65, 141, 240 },
        sky_override or { 'bg_desert_sky', 64, 1.0, 1.0 },
        { 'bg_desert_mountains', 80, 0.1, 1.0 },
			{ 'bg_desert_items_clouds', 192, 1, 50.0, 250.0, 1.0 },
			{ 'bg_desert_items_clouds', 150, 1, 50.0, 250.0, 1.0 },
			{ 'bg_desert_items_clouds', 212, 1, 50.0, 250.0, 1.0 },
			{ 'bg_desert_items_clouds', 256, 1, 50.0, 250.0, 1.0 },
        { 'bg_desert_sand', 64, 0.5, 2.0 },
			{ 'bg_desert_items_statue', 70, 1, 300.0, 800.0, 1.0 },
			{ 'bg_desert_items_ruins', 55, 1, 300.0, 800.0, 1.0 },
			{ 'bg_desert_items_skeleton', 60, 1, 300.0, 800.0, 1.0 },			
        { 'bg_desert_road', 0, 1.0, 1.0 },	
		{ 'bg_desert_sand_above_road', 50, 1.0, 1.0 },
			{ 'bg_desert_items_sandmountain2', 25, 3, 500.0, 1000.0, 1.0 },
			{ 'bg_desert_items_sandmountain3', 30, 3, 500.0, 1000.0, 1.0 },
			--{ 'bg_desert_items_gazstation', 40, 1, 200.0, 1000.0, 1.0 },	
			--{ 'bg_desert_items_hut', 40, 1, 200.0, 1000.0, 1.0 },	
			--{ 'bg_desert_items_carousels', 40, 1, 200.0, 1000.0, 1.0 },				
		{ '', 0, 1.0, 1.0 },
			{ 'bg_desert_items_rocks1', 30, 1, 50.0, 250.0, 1.0 },
			{ 'bg_desert_items_rocks2', 30, 1, 50.0, 250.0, 1.0 },
			{ 'bg_desert_items_rocks3', 30, 1, 50.0, 250.0, 1.0 },	
			{ 'bg_desert_items_cactus1', 33, 4, 10.0, 30.0, 1.0 },
			{ 'bg_desert_items_cactus2', 33, 4, 0.0, 20.0, 1.0 },
			{ 'bg_desert_items_cactus3', 33, 4, 15.0, 40.0, 1.0 },
			{ 'bg_desert_items_tree', 35, 1, 100.0, 300.0, 1.0 },
		{ 'bg_desert_guard', 25, 1.0, 1.0 },
			{ 'bg_desert_items_cactus1', 25, 3, 50.0, 200.0, 1.0 },
			{ 'bg_desert_items_cactus2', 25, 3, 50.0, 200.0, 1.0 },
			{ 'bg_desert_items_cactus3', 25, 3, 50.0, 200.0, 1.0 },
			{ 'bg_desert_items_wheel', 20, 2, 100.0, 400.0, 1.0 },
			{ 'bg_desert_items_skull', 25, 1, 100.0, 400.0, 1.0 },	
        { 'bg_landmines_01', 0, 1.0, 1.0 },
        { 'bg_landmines_02', 0, 1.0, 1.0 },
        { 'bg_landmines_03', 0, 1.0, 1.0 },
        { 'bg_landmines_04', 0, 1.0, 1.0 },
		{ '', 0, 2.5, 1.0 },
			{ 'bg_desert_items_tree', -5, 1, 50.0, 200.0, 1.0 },
			{ 'bg_desert_items_bushes_foreground', 0, 3, 1.0, 100.0, 2.0 },
    }
end

function JungleLandscape()
    return
    {
        bg_color = { 42, 18, 103 },
        sky_override or { 'bg_jungle_background_sky', 64, 1.0, 1.0 },
        { 'bg_jungle_background_forest_back', 48, 0.5, 2.0 },
        { '', 0, 0.65, 1.0 },
			{ 'bg_jungle_items_forest', 64, 1.0, 300.0, 500.0, 2.0 },
        { 'bg_jungle_background_forest_front', 64, 0.75, 2.0 },
        { 'bg_jungle_background_road', 0, 1.0, 1.0 },
        { 'bg_jungle_background_plants', 40, 1.0, 2.0 },
			{ 'bg_jungle_items_house1', 40, 4, 200.0, 400.0, 1.0 },
			{ 'bg_jungle_items_house2', 40, 2, 300.0, 500.0, 1.0 },
			--{ 'bg_jungle_items_planecrashed2', 40, 1, 500.0, 800.0, 1.0 },
			{ 'bg_jungle_items_totems1', 40, 2, 400.0, 800.0, 1.0 },
        { 'bg_landmines_01', 0, 1.0, 1.0 },
        { 'bg_landmines_02', 0, 1.0, 1.0 },
        { 'bg_landmines_03', 0, 1.0, 1.0 },
        { 'bg_landmines_04', 0, 1.0, 1.0 },
        { 'bg_jungle_foreground_lush_1', 0, 2.5, 1.0 },
			{ 'bg_jungle_items_frontsnake', 0, 2, 300.0, 600.0, 1.0 },
			{ 'bg_jungle_items_fronttree', 0, 4, 500.0, 800.0, 1.0 },
    }
end

function JungleLandscape2()
    return
    {
        bg_color = { 42, 18, 103 },
        sky_override or { 'bg_jungle_background_sky', 64, 1.0, 1.0 },
        { 'bg_jungle_background_forest_back', 48, 0.5, 2.0 },
        { '', 0, 0.65, 1.0 },
			{ 'bg_jungle_items_forest', 64, 1.0, 200.0, 350.0, 2.0 },
        { 'bg_jungle_background_forest_front', 64, 0.75, 2.0 },
        { 'bg_jungle_background_road', 0, 1.0, 1.0 },
        { 'bg_jungle_background_plants', 40, 1.0, 2.0 },
			{ 'bg_jungle_items_house1', 40, 2, 200.0, 600.0, 1.0 },
			{ 'bg_jungle_items_house2', 40, 4, 50.0, 300.0, 1.0 },
			--{ 'bg_jungle_items_planecrashed2', 40, 1, 500.0, 800.0, 1.0 },
			{ 'bg_jungle_items_totems1', 40, 1, 300.0, 700.0, 1.0 },
        { 'bg_landmines_01', 0, 1.0, 1.0 },
        { 'bg_landmines_02', 0, 1.0, 1.0 },
        { 'bg_landmines_03', 0, 1.0, 1.0 },
        { 'bg_landmines_04', 0, 1.0, 1.0 },
        { 'bg_jungle_foreground_lush_1', 0, 2.5, 1.0 },
			{ 'bg_jungle_items_frontsnake', 0, 2, 300.0, 600.0, 1.0 },
			{ 'bg_jungle_items_fronttree', 0, 4, 500.0, 800.0, 1.0 },
    }
end

function JungleLandscape3()
    return
    {
        bg_color = { 42, 18, 103 },
        sky_override or { 'bg_jungle_background_sky', 64, 1.0, 1.0 },
        { 'bg_jungle_background_forest_back', 48, 0.5, 2.0 },
        { '', 0, 0.65, 1.0 },
			{ 'bg_jungle_items_forest', 64, 1.0, 0, 25.0, 2.0 },
        { 'bg_jungle_background_forest_front', 64, 0.75, 2.0 },
        { 'bg_jungle_background_road', 0, 1.0, 1.0 },
        { 'bg_jungle_background_plants', 40, 1.0, 2.0 },
			--{ 'bg_jungle_items_house1', 40, 1, 128, 512, 1.0 },
			--{ 'bg_jungle_items_house2', 40, 3, 10.0, 600.0, 1.0 },
			{ 'bg_jungle_items_planecrashed2', 40, 2, 150.0, 750.0, 1.0 },
			{ 'bg_jungle_items_crashedplane', 40, 4, 100.0, 400.0, 1.0 },
			{ 'bg_jungle_items_totems1', 40, 1, 400.0, 1000.0, 1.0 },
        { 'bg_landmines_01', 0, 1.0, 1.0 },
        { 'bg_landmines_02', 0, 1.0, 1.0 },
        { 'bg_landmines_03', 0, 1.0, 1.0 },
        { 'bg_landmines_04', 0, 1.0, 1.0 },
        { 'bg_jungle_foreground_lush_1', 0, 2.5, 1.0 },
			{ 'bg_jungle_items_frontsnake', 0, 2, 300.0, 600.0, 1.0 },
			{ 'bg_jungle_items_fronttree', 0, 4, 500.0, 800.0, 1.0 },
    }
end

function IcelandLandscape()
    return
    {
        bg_color = { 25, 56, 123 },
        sky_override or { 'bg_iceland_sky', 64, 1.0, 1.0 },
        { 'bg_iceland_stars', 128, 0.1, 1.0 },
		{ 'bg_iceland_stars', 256, 0.1, 1.0 },
		{ 'bg_iceland_stars', 384, 0.1, 1.0 },
		{ 'bg_iceland_stars', 512, 0.1, 1.0 },
			{ 'bg_iceland_items_boreal', 120, 1, 50.0, 250.0, 1.0 },
			{ 'bg_iceland_items_boreal', 100, 1, 50.0, 250.0, 1.0 },
			{ 'bg_iceland_items_boreal', 150, 1, 50.0, 250.0, 1.0 },
			{ 'bg_iceland_items_boreal', 200, 1, 50.0, 250.0, 1.0 },
        { 'bg_iceland_moutains', 80, 0.25, 2.0 },
			{ 'bg_iceland_items_ferry', 64, 1, 500.0, 1000.0, 0.5 },
			{ 'bg_iceland_items_station', 64, 1, 300.0, 800.0, 0.5 },
        { 'bg_iceland_road', 0, 1.0, 1.0 },
        { 'bg_iceland_rocks', 64, 1.0, 1.0 },
			{ 'bg_iceland_items_trees1', 60, 4, 0.0, 20.0, 1.0 },
			{ 'bg_iceland_items_trees2', 60, 4, 10.0, 30.0, 1.0 },
			{ 'bg_iceland_items_trees3', 60, 4, 0.0, 20.0, 1.0 },	
			{ 'bg_iceland_items_trees4', 60, 4, 5.0, 20.0, 1.0 },
			{ 'bg_iceland_items_trees5', 60, 4, 10.0, 30.0, 1.0 },
			{ 'bg_iceland_items_trees6', 60, 4, 0.0, 10.0, 1.0 },
			
			{ 'bg_iceland_items_board', 55, 2, 50.0, 150.0, 1.0 },
			
			{ 'bg_iceland_items_igloo', 60, 1, 100.0, 350.0, 1.0 },
			--{ 'bg_iceland_items_plane', 52, 1, 200.0, 600.0, 1.0 },
			
			--{ 'bg_iceland_items_station2', 52, 1, 400.0, 800.0, 1.0 },
			{ 'bg_iceland_items_vehicle', 55, 1, 150.0, 350.0, 1.0 },	
			
		{ 'bg_iceland_guard', 45, 1.0, 1.0 },
        { 'bg_landmines_01', 0, 1.0, 1.0 },
        { 'bg_landmines_02', 0, 1.0, 1.0 },
        { 'bg_landmines_03', 0, 1.0, 1.0 },
        { 'bg_landmines_04', 0, 1.0, 1.0 },
		{ '', 0, 2.5, 1.0 },
			{ 'bg_iceland_items_frontice', 0, 1, 1.0, 800.0, 2.0 },	
    }
end

function IcelandLandscape2()
    return
    {
        bg_color = { 25, 56, 123 },
        sky_override or { 'bg_iceland_sky', 64, 1.0, 1.0 },
        { 'bg_iceland_stars', 128, 0.1, 1.0 },
		{ 'bg_iceland_stars', 256, 0.1, 1.0 },
		{ 'bg_iceland_stars', 384, 0.1, 1.0 },
		{ 'bg_iceland_stars', 512, 0.1, 1.0 },
			{ 'bg_iceland_items_boreal', 120, 1, 50.0, 250.0, 1.0 },
			{ 'bg_iceland_items_boreal', 100, 1, 50.0, 250.0, 1.0 },
			{ 'bg_iceland_items_boreal', 150, 1, 50.0, 250.0, 1.0 },
			{ 'bg_iceland_items_boreal', 200, 1, 50.0, 250.0, 1.0 },
        { 'bg_iceland_moutains', 80, 0.25, 2.0 },
        { 'bg_iceland_road', 0, 1.0, 1.0 },
        { 'bg_iceland_rocks', 64, 1.0, 1.0 },
			{ 'bg_iceland_items_trees1', 60, 3, 20.0, 60.0, 1.0 },
			{ 'bg_iceland_items_trees2', 60, 3, 30.0, 80.0, 1.0 },
			{ 'bg_iceland_items_trees3', 60, 3, 20.0, 60.0, 1.0 },	
			{ 'bg_iceland_items_trees4', 60, 3, 30.0, 80.0, 1.0 },
			{ 'bg_iceland_items_trees5', 60, 3, 20.0, 60.0, 1.0 },
			{ 'bg_iceland_items_trees6', 60, 3, 30.0, 80.0, 1.0 },
			
			{ 'bg_iceland_items_board', 55, 1, 10.0, 50.0, 1.0 },
			--{ 'bg_iceland_items_ferry', 50, 0.5, 300.0, 800.0, 1.0 },
			{ 'bg_iceland_items_igloo', 60, 2, 50.0, 250.0, 1.0 },
			{ 'bg_iceland_items_plane', 52, 1, 100.0, 400.0, 1.0 },
			--{ 'bg_iceland_items_station', 52, 1, 150.0, 500.0, 1.0 },
			{ 'bg_iceland_items_station2', 52, 1, 150.0, 500.0, 1.0 },
			{ 'bg_iceland_items_vehicle', 55, 1, 50.0, 150.0, 1.0 },	
			
		{ 'bg_iceland_guard', 45, 1.0, 1.0 },
        { 'bg_landmines_01', 0, 1.0, 1.0 },
        { 'bg_landmines_02', 0, 1.0, 1.0 },
        { 'bg_landmines_03', 0, 1.0, 1.0 },
        { 'bg_landmines_04', 0, 1.0, 1.0 },
		{ '', 0, 2.5, 1.0 },
			{ 'bg_iceland_items_frontice', 0, 1, 1.0, 800.0, 2.0 },	
    }
end

function HighwayLandscape()
    return
    {
        bg_color = { 7, 111, 150 },
        sky_override or { 'bg_highway_sky', 64, 1.0, 1.0 },
        --{ 'bg_iceland_stars', 64, 0.1, 2.0 },
		--{ 'bg_iceland_items_boreal', 100, 0.1, 2.0 },
        { 'bg_highway_mountains1', 80, 0.25, 2.0 },
        { 'bg_highway_mountains2', 60, 0.30, 2.0 },
        { 'bg_highway_mountains3', 50, 0.40, 1.0 },
		{ 'bg_highway_rampmiddle', 60, 0.45, 1.0 },				
        { 'bg_highway_mountains4', 55, 0.50, 1.0 },	

			{ 'bg_highway_items_herb1', 55, 2, 1.0, 50.0, 1.0 },			
			{ 'bg_highway_items_herb2', 55, 2, 10.0, 150.0, 1.0},		
			{ 'bg_highway_items_herb3', 55, 2, 10.0, 150.0, 1.0 },			
			{ 'bg_highway_items_herb4', 55, 2, 1.0, 50.0, 1.0 },			
		{ '', 55, 0.50, 1.0 },
			{ 'bg_highway_items_trees1', 55, 3, 10.0, 200.0, 1.0 },			
			{ 'bg_highway_items_trees2', 55, 3, 10.0, 200.0, 1.0 },			
			{ 'bg_highway_items_trees3', 55, 3, 10.0, 200.0, 1.0 },			
			{ 'bg_highway_items_trees4', 55, 3, 10.0, 200.0, 1.0 },			
			{ 'bg_highway_items_trees5', 55, 3, 10.0, 200.0, 1.0 },
		{ '', 55, 0.50, 1.0 },
			{ 'bg_highway_items_sign', 52, 1, 200.0, 500.0, 1.0 },
			{ 'bg_highway_items_burgerhouse', 52, 1, 200.0, 500.0, 1.0 },
			{ 'bg_highway_items_bush', 52, 1, 200.0, 500.0, 1.0 },
			{ 'bg_highway_items_oildrill', 52, 1, 200.0, 500.0, 1.0 },
		
        { 'bg_highway_road', 0, 1.0, 1.0 },	
			{ 'bg_highway_items_rustedtruck', 48, 1, 600.0, 1000.0, 1.0 },	
			{ 'bg_highway_items_rustedboat', 48, 1, 600.0, 1000.0, 1.0 },				
        { 'bg_highway_guard', 45, 1.0, 1.0 },

        { 'bg_landmines_01', 0, 1.0, 1.0 },
        { 'bg_landmines_02', 0, 1.0, 1.0 },
        { 'bg_landmines_03', 0, 1.0, 1.0 },
        { 'bg_landmines_04', 0, 1.0, 1.0 },
        
		{ 'bg_highway_plants', 0, 2.5, 1.0 },
			{ 'bg_highway_items_foreground_plants', 0, 1, 500.0, 1000.0, 1.0 },
			{ 'bg_highway_items_foreground_vein', 0, 1, 500.0, 1000.0, 1.0 },
			{ 'bg_highway_items_foreground_truck', 0, 1, 500.0, 1000.0, 1.0 },	
    }
end

function RandomLandscape()

    local available =
    {
        { DesertLandscape, DesertLandscape2, },
        { JungleLandscape, JungleLandscape2, JungleLandscape3, },
        { IcelandLandscape, IcelandLandscape2},
        { HighwayLandscape, },
    }
    local setting = available[ math.random( #available ) ]
    return setting[ math.random( #setting ) ]()
end

function DoodleJumpLandscape()
    sky_override = { 'bg_jump_sky', -128.0, 0.0, 2.0 }
    local landscape = RandomLandscape()
    sky_override = nil
    return landscape
end
