function Missions()

    local min_probabilities =
    {
        bomber = 40, --devrait tre la valeur "13"
        bouncer = 0,
        gunner = 0,
        homer = 0,
        miner = 0, --devrait tre la valeur "0"
    }

    local less_probabilities =
    {
        bomber = 40,
        bouncer = 10,
        gunner = 0,
        homer = 0,
        miner = 0,
    }

    local base_probabilities =
    {
        bomber = 50,
        bouncer = 10,
        gunner = 0,
        homer = 0,
        miner = 0,
    }

    local hight_probabilities =
    {
        bomber = 70,
        bouncer = 0,
        gunner = 0,
        homer = 0,
        miner = 0,
    }
	
    local bouncer_probabilities =
    {
        bomber = 70,
        bouncer = 10,
        gunner = 0,
        homer = 0,
        miner = 0,
    }
	
    local gunner_probabilities =
    {
        bomber = 70,
        bouncer = 0,
        gunner = 10,
        homer = 0,
        miner = 0,
    }
	
    local homer_mission_probabilities =
    {
        bomber = 70,
        bouncer = 0,
        gunner = 0,
        homer = 10,
        miner = 0,
    }
	
    local miner_probabilities =
    {
        bomber = 70,
        bouncer = 0,
        gunner = 0,
        homer = 0,
        miner = 10,
    }

    local max_probabilities =
    {
        bomber = 100,
        bouncer = 100,
        gunner = 100,
        homer = 100,
        miner = 100,
    }

    local homer_probabilities =
    {
        bomber = 0,
        bouncer = 0,
        gunner = 100,
        homer = 100,
        miner = 0,
    }

    return
    {
        -- LEVEL 1-10 - JungleLandscape --

        --[[]]--
        {
            name = 'Level 1',
            briefing = 'Kill 5 enemies',
            thumbnail = 'sprt_preview_mission_jungle_1',
            landscape = 'JungleLandscape',
            starting_probabilities = hight_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 999999, info = 'Great score!' },
                --{ type = 'TargetCombo', target = 5, info = 'Nice combo!' },
                { type = 'TargetTotalEnemyKills', target = 5, info = 'Kill 5 enemies' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
            },
        },
        {
            name = 'Level 2',
            briefing = 'Make a 5 combo',
            thumbnail = 'sprt_preview_mission_jungle_1',
            landscape = 'JungleLandscape2',
            starting_probabilities = hight_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 2000, info = 'Great score!' },
                { type = 'TargetCombo', target = 5, info = 'Make a 5 combo' },
                --{ type = 'TargetTotalEnemyKills', target = 10, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
				--{ type = 'TargetBouncerKilled', target = 10, info = 'Well done!' },
            },
			rewards =
            {
                'UnlockEnemyBouncer',
            },
        },
		{
            name = 'Level 3',
            briefing = 'Kill 10 Bouncers',
            thumbnail = 'sprt_preview_mission_jungle_1',
            landscape = 'JungleLandscape3',
            starting_probabilities = bouncer_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 2000, info = 'Great score!' },
                --{ type = 'TargetCombo', target = 10, info = 'Nice combo!' },
                --{ type = 'TargetTotalEnemyKills', target = 10, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
				{ type = 'TargetBouncerKilled', target = 10, info = 'Kill 10 Bouncers' },
            },
		},
		{
            name = 'Level 4',
            briefing = 'Make a 10 combo',
            thumbnail = 'sprt_preview_mission_jungle_2',
            landscape = 'JungleLandscape2',
            starting_probabilities = hight_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 2000, info = 'Great score!' },
                { type = 'TargetCombo', target = 10, info = 'Make a 10 combo' },
                --{ type = 'TargetTotalEnemyKills', target = 10, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
				--{ type = 'TargetBouncerKilled', target = 10, info = 'Well done!' },
            },
			rewards =
            {
                'UnlockEnemyGunner',
            },
        },
        {
            name = 'Level 5', -- combos qui ne fonctionnent pas ?
            briefing = 'Kill 10 Gunners',
            thumbnail = 'sprt_preview_mission_jungle_2',
            landscape = 'JungleLandscape3',
            starting_probabilities = gunner_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 3000, info = 'Great score!' },
                --{ type = 'TargetCombo', target = 5, info = 'Nice combo!' },
                --{ type = 'TargetTotalEnemyKills', target = 10, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
				{ type = 'TargetGunnerKilled', target = 10, info = 'Kill 10 Gunners' },
            },
			rewards =
            {
                'UnlockSkin_blue',
            },
        },
		{
            name = 'Level 6',
            briefing = 'Make a 15 combo',
            thumbnail = 'sprt_preview_mission_jungle_2',
            landscape = 'JungleLandscape',
            starting_probabilities = hight_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 2000, info = 'Great score!' },
                { type = 'TargetCombo', target = 15, info = 'Make a 15 combo' },
                --{ type = 'TargetTotalEnemyKills', target = 10, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
				--{ type = 'TargetBouncerKilled', target = 10, info = 'Well done!' },
            },
			rewards =
            {
                'UnlockEnemyHomer',
            },
        },
        {
            name = 'Level 7',
            briefing = 'Kill 10 Homers',
            thumbnail = 'sprt_preview_mission_jungle_3',
            landscape = 'JungleLandscape2',
            starting_probabilities = homer_mission_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 1000, info = 'Great score!' },
                --{ type = 'TargetCombo', target = 10, info = 'Nice combo!' },
                --{ type = 'TargetTotalEnemyKills', target = 10, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
				{ type = 'TargetHomerKilled', target = 10, info = 'Kill 10 Homers' },
            },
        },
		{
            name = 'Level 8',
            briefing = 'Make a 20 combo',
            thumbnail = 'sprt_preview_mission_jungle_3',
            landscape = 'JungleLandscape',
            starting_probabilities = hight_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 2000, info = 'Great score!' },
                { type = 'TargetCombo', target = 20, info = 'Make a 20 combo' },
                --{ type = 'TargetTotalEnemyKills', target = 10, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
				--{ type = 'TargetBouncerKilled', target = 10, info = 'Well done!' },
            },
			rewards =
            {
                'UnlockEnemyMiner',
            },
        },
		{
            name = 'Level 9',
            briefing = 'Kill 10 Miners',
            thumbnail = 'sprt_preview_mission_jungle_3',
            landscape = 'JungleLandscape3',
            starting_probabilities = miner_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 1000, info = 'Great score!' },
                --{ type = 'TargetCombo', target = 10, info = 'Nice combo!' },
                --{ type = 'TargetTotalEnemyKills', target = 10, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
				{ type = 'TargetMinerKilled', target = 10, info = 'Kill 10 Miners' },
            },
        },
        {
            name = 'Level 10',
            briefing = 'Score 5000',
            thumbnail = 'sprt_preview_mission_jungle_3',
            landscape = 'JungleLandscape3',
            starting_probabilities = hight_probabilities,
            objectives =
            {
                { type = 'TargetScore', target = 5000, info = 'Score 5000' },
                --{ type = 'TargetCombo', target = 10, info = 'Nice combo!' },
                --{ type = 'TargetTotalEnemyKills', target = 100, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
				--{ type = 'TargetBomberKilled', target = 20, info = 'Well done!' },
				--{ type = 'TargetBouncerKilled', target = 20, info = 'Well done!' },
				--{ type = 'TargetGunnerKilled', target = 20, info = 'Well done!' },
				--{ type = 'TargetHomerKilled', target = 20, info = 'Well done!' },
				--{ type = 'TargetMinerKilled', target = 20, info = 'Well done!' },
            },
			rewards =
            {
                'UnlockSkin_pink',
            },
        },




                -- LEVEL 11-20 - DesertLandscape --
        {
            name = 'Level 11',
            briefing = 'Make a 30 combo',
            thumbnail = 'sprt_preview_mission_desert_1',
            landscape = 'DesertLandscape',
            starting_probabilities = base_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 1000, info = 'Great score!' },
                { type = 'TargetCombo', target = 30, info = 'Make a 30 combo' },
                --{ type = 'TargetTotalEnemyKills', target = 10, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 5, info = 'Well done!' },
            },
        },
        {
            name = 'Level 12',
            briefing = 'Kill 20 Bouncers \n and 20 Gunners',
            thumbnail = 'sprt_preview_mission_desert_1',
            landscape = 'DesertLandscape',
            starting_probabilities = base_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 3000, info = 'Great score!' },
                --{ type = 'TargetCombo', target = 10, info = 'Nice combo!' },
                --{ type = 'TargetTotalEnemyKills', target = 10, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
				{ type = 'TargetBouncerKilled', target = 20, info = 'Kill 20 Bouncers' },
				{ type = 'TargetGunnerKilled', target = 20, info = 'Kill 20 Gunners' },
            },
        },
        {
            name = 'Level 13',
            briefing = 'Score 5000 \n and kill 20 Homers',
            thumbnail = 'sprt_preview_mission_desert_1',
            landscape = 'DesertLandscape2',
            starting_probabilities = base_probabilities,
            objectives =
            {
                { type = 'TargetScore', target = 5000, info = 'Score 5000' },
                --{ type = 'TargetCombo', target = 10, info = 'Nice combo!' },
                --{ type = 'TargetTotalEnemyKills', target = 10, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
				{ type = 'TargetHomerKilled', target = 20, info = 'Kill 20 Homers' },
            },
        },
        {
            name = 'Level 14',
            briefing = 'Make a 40 combo',
            thumbnail = 'sprt_preview_mission_desert_2',
            landscape = 'DesertLandscape2',
            starting_probabilities = base_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 2000, info = 'Great score!' },
                { type = 'TargetCombo', target = 40, info = 'Make a 40 combo' },
                --{ type = 'TargetTotalEnemyKills', target = 10, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
            },
        },
        {
            name = 'Level 15',
            briefing = 'Kill 20 Gunners \n and 20 Homers',
            thumbnail = 'sprt_preview_mission_desert_2',
            landscape = 'DesertLandscape',
            starting_probabilities = base_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 1000, info = 'Great score!' },
                --{ type = 'TargetCombo', target = 10, info = 'Nice combo!' },
                --{ type = 'TargetTotalEnemyKills', target = 300, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
				{ type = 'TargetGunnerKilled', target = 20, info = 'Kill 20 Gunners' },
				{ type = 'TargetHomerKilled', target = 20, info = 'Kill 20 Homers' },
            },
			rewards =
            {
                'UnlockSkin_icecream',
            },
        },
		{
            name = 'Level 16',
            briefing = 'Score 8000 \n and kill 20 Miners',
            thumbnail = 'sprt_preview_mission_desert_2',
            landscape = 'DesertLandscape2',
            starting_probabilities = base_probabilities,
            objectives =
            {
                { type = 'TargetScore', target = 8000, info = 'Score 8000' },
                --{ type = 'TargetCombo', target = 10, info = 'Nice combo!' },
                --{ type = 'TargetTotalEnemyKills', target = 10, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
				{ type = 'TargetMinerKilled', target = 20, info = 'Kill 20 Miners' },
            },
        },
		{
            name = 'Level 17',
            briefing = 'Make a 50 combo',
            thumbnail = 'sprt_preview_mission_desert_3',
            landscape = 'DesertLandscape',
            starting_probabilities = base_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 2000, info = 'Great score!' },
                { type = 'TargetCombo', target = 50, info = 'Make a 50 combo' },
                --{ type = 'TargetTotalEnemyKills', target = 10, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
            },
        },
        {
            name = 'Level 18',
            briefing = 'Kill 20 Homers \n and 20 Miners',
            thumbnail = 'sprt_preview_mission_desert_3',
            landscape = 'DesertLandscape2',
            starting_probabilities = base_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 1000, info = 'Great score!' },
                --{ type = 'TargetCombo', target = 10, info = 'Nice combo!' },
                --{ type = 'TargetTotalEnemyKills', target = 300, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
				{ type = 'TargetHomerKilled', target = 20, info = 'Kill 20 Homers' },
				{ type = 'TargetMinerKilled', target = 20, info = 'Kill 20 Miners' },
            },
        },
		{
            name = 'Level 19',
            briefing = 'Make a 50 combo \n and kill 30 Homers',
            thumbnail = 'sprt_preview_mission_desert_3',
            landscape = 'DesertLandscape2',
            starting_probabilities = base_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 2000, info = 'Great score!' },
                { type = 'TargetCombo', target = 50, info = 'Make a 50 combo' },
                --{ type = 'TargetTotalEnemyKills', target = 10, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
				{ type = 'TargetHomerKilled', target = 30, info = 'Kill 30 Homers' },
            },
        },
        {
            name = 'Level 20',
            briefing = 'Score 12000',
            thumbnail = 'sprt_preview_mission_desert_3',
            landscape = 'DesertLandscape',
            starting_probabilities = base_probabilities,
            objectives =
            {
                { type = 'TargetScore', target = 12000, info = 'Score 12000' },
                --{ type = 'TargetCombo', target = 10, info = 'Nice combo!' },
                --{ type = 'TargetTotalEnemyKills', target = 300, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
				--{ type = 'TargetHomerKilled', target = 20, info = 'Well done!' },
				--{ type = 'TargetMinerKilled', target = 20, info = 'Well done!' },
            },
			rewards =
            {
                'UnlockSkin_flower',
            },
        },

                        -- LEVEL 21-30 - HighwayLandscape --
        {
            name = 'Level 21',
            briefing = 'Make a 60 combo',
            thumbnail = 'sprt_preview_mission_highway_1',
            landscape = 'HighwayLandscape',
            starting_probabilities = less_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 3000, info = 'Great score!' },
                { type = 'TargetCombo', target = 60, info = 'Make a 60 combo' },
                --{ type = 'TargetTotalEnemyKills', target = 10, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 5, info = 'Well done!' },
            },
        },

        {
            name = 'Level 22',
            briefing = 'Kill 30 Bouncers \n and 30 Gunners',
            thumbnail = 'sprt_preview_mission_highway_1',
            landscape = 'HighwayLandscape',
            starting_probabilities = less_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 3000, info = 'Great score!' },
                --{ type = 'TargetCombo', target = 20, info = 'Nice combo!' },
                --{ type = 'TargetTotalEnemyKills', target = 10, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
				{ type = 'TargetBouncerKilled', target = 30, info = 'Kill 30 Bouncers' },
				{ type = 'TargetGunnerKilled', target = 30, info = 'Kill 30 Gunners' },
            },
        },

        {
            name = 'Level 23',
            briefing = 'Score 12000 \n and make a 60 combo',
            thumbnail = 'sprt_preview_mission_highway_1',
            landscape = 'HighwayLandscape',
            starting_probabilities = less_probabilities,
            objectives =
            {
                { type = 'TargetScore', target = 12000, info = 'Score 12000' },
                { type = 'TargetCombo', target = 60, info = 'Make a 60 combo' },
                --{ type = 'TargetTotalEnemyKills', target = 300, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
            },
        },
        {
            name = 'Level 24',
            briefing = 'Make a 70 combo',
            thumbnail = 'sprt_preview_mission_highway_2',
            landscape = 'HighwayLandscape',
            starting_probabilities = less_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 1000, info = 'Great score!' },
                { type = 'TargetCombo', target = 70, info = 'Make a 70 combo' },
                --{ type = 'TargetTotalEnemyKills', target = 400, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
            },
        },
        {
            name = 'Level 25',
            briefing = 'Kill 30 Gunners, \n 30 Homers and 30 Miners',
            thumbnail = 'sprt_preview_mission_highway_2',
            landscape = 'HighwayLandscape',
            starting_probabilities = less_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 1000, info = 'Great score!' },
                --{ type = 'TargetCombo', target = 10, info = 'Nice combo!' },
                --{ type = 'TargetTotalEnemyKills', target = 400, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
				{ type = 'TargetGunnerKilled', target = 30, info = 'Kill 30 Gunners' },
				{ type = 'TargetHomerKilled', target = 30, info = 'Kill 30 Homers' },
				{ type = 'TargetMinerKilled', target = 30, info = 'Kill 30 Miners' },
            },
			rewards =
            {
                'UnlockSkin_kamo',
            },
        },
		{
            name = 'Level 26',
            briefing = 'Make a 70 combo \n and kill 40 Miners',
            thumbnail = 'sprt_preview_mission_highway_2',
            landscape = 'HighwayLandscape',
            starting_probabilities = less_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 3000, info = 'Great score!' },
                { type = 'TargetCombo', target = 70, info = 'Make a 70 combo' },
                --{ type = 'TargetTotalEnemyKills', target = 10, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 5, info = 'Well done!' },
				{ type = 'TargetMinerKilled', target = 40, info = 'Kill 40 Miners' },
            },
        },

        {
            name = 'Level 27',
            briefing = 'Kill 40 Bouncers \n and 40 Miners',
            thumbnail = 'sprt_preview_mission_highway_3',
            landscape = 'HighwayLandscape',
            starting_probabilities = less_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 3000, info = 'Great score!' },
                --{ type = 'TargetCombo', target = 20, info = 'Nice combo!' },
                --{ type = 'TargetTotalEnemyKills', target = 10, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
				{ type = 'TargetBouncerKilled', target = 40, info = 'Kill 40 Bouncers' },
				{ type = 'TargetMinerKilled', target = 40, info = 'Kill 40 Miners' },
            },
        },

        {
            name = 'Level 28',
            briefing = 'Score 16000 \n and make a 70 combo',
            thumbnail = 'sprt_preview_mission_highway_3',
            landscape = 'HighwayLandscape',
            starting_probabilities = less_probabilities,
            objectives =
            {
                { type = 'TargetScore', target = 16000, info = 'Score 16000' },
                { type = 'TargetCombo', target = 70, info = 'Make a 70 combo' },
                --{ type = 'TargetTotalEnemyKills', target = 300, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
            },
        },
        {
            name = 'Level 29',
            briefing = 'Make a 80 combo',
            thumbnail = 'sprt_preview_mission_highway_3',
            landscape = 'HighwayLandscape',
            starting_probabilities = less_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 1000, info = 'Great score!' },
                { type = 'TargetCombo', target = 80, info = 'Make a 80 combo' },
                --{ type = 'TargetTotalEnemyKills', target = 400, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
            },
        },
        {
            name = 'Level 30',
            briefing = 'Score 20000',
            thumbnail = 'sprt_preview_mission_highway_3',
            landscape = 'HighwayLandscape',
            starting_probabilities = less_probabilities,
            objectives =
            {
                { type = 'TargetScore', target = 20000, info = 'Score 20000' },
                --{ type = 'TargetCombo', target = 10, info = 'Nice combo!' },
                --{ type = 'TargetTotalEnemyKills', target = 400, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
				--{ type = 'TargetGunnerKilled', target = 30, info = 'Well done!' },
				--{ type = 'TargetHomerKilled', target = 30, info = 'Well done!' },
				--{ type = 'TargetMinerKilled', target = 30, info = 'Well done!' },
            },
			rewards =
            {
                'UnlockSkin_mystery',
            },
        },




                        -- LEVEL 31-40 - IcelandLandscape --
        {
            name = 'Level 31',
            briefing = 'Make a 80 combo \n and kill 40 Homers',
            thumbnail = 'sprt_preview_mission_iceland_3',
            landscape = 'IcelandLandscape',
            starting_probabilities = min_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 3000, info = 'Great score!' },
                { type = 'TargetCombo', target = 80, info = 'Make a 80 combo' },
                --{ type = 'TargetTotalEnemyKills', target = 10, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 5, info = 'Well done!' },
				{ type = 'TargetHomerKilled', target = 40, info = 'Kill 40 Homers' },
            },
        },

        {
            name = 'Level 32',
            briefing = 'Score 20000 \n and kill 40 Miners',
            thumbnail = 'sprt_preview_mission_iceland_3',
            landscape = 'IcelandLandscape2',
            starting_probabilities = min_probabilities,
            objectives =
            {
                { type = 'TargetScore', target = 20000, info = 'Score 20000' },
                --{ type = 'TargetCombo', target = 30, info = 'Nice combo!' },
                --{ type = 'TargetTotalEnemyKills', target = 10, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
				{ type = 'TargetMinerKilled', target = 40, info = 'Kill 40 Miners' },
            },
        },

        {
            name = 'Level 33',
            briefing = 'Kill 50 Gunners, \n 50 Homers and 50 Miners',
            thumbnail = 'sprt_preview_mission_iceland_3',
            landscape = 'IcelandLandscape2',
            starting_probabilities = min_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 4000, info = 'Score 4000' },
                --{ type = 'TargetCombo', target = 10, info = 'Nice combo!' },
                --{ type = 'TargetTotalEnemyKills', target = 300, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
				{ type = 'TargetGunnerKilled', target = 50, info = 'Kill 50 Gunners' },
				{ type = 'TargetHomerKilled', target = 50, info = 'Kill 50 Homers' },
				{ type = 'TargetMinerKilled', target = 50, info = 'Kill 50 Miners' },
            },
        },
        {
            name = 'Level 34',
            briefing = 'Make a 90 combo',
            thumbnail = 'sprt_preview_mission_iceland_2',
            landscape = 'IcelandLandscape',
            starting_probabilities = min_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 1000, info = 'Great score!' },
                { type = 'TargetCombo', target = 90, info = 'Make a 90 combo' },
                --{ type = 'TargetTotalEnemyKills', target = 400, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
            },
        },
        {
            name = 'Level 35',
            briefing = 'Score 24000',
            thumbnail = 'sprt_preview_mission_iceland_2',
            landscape = 'IcelandLandscape2',
            starting_probabilities = min_probabilities,
            objectives =
            {
                { type = 'TargetScore', target = 24000, info = 'Score 24000' },
                --{ type = 'TargetCombo', target = 10, info = 'Nice combo!' },
                --{ type = 'TargetTotalEnemyKills', target = 400, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
            },
			rewards =
            {
                'UnlockSkin_ateam',
            },
        },
        {
            name = 'Level 36',
            briefing = 'Make a 100 combo',
            thumbnail = 'sprt_preview_mission_iceland_2',
			landscape = 'IcelandLandscape',
            starting_probabilities = min_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 3000, info = 'Great score!' },
                { type = 'TargetCombo', target = 100, info = 'Make a 100 combo' },
                --{ type = 'TargetTotalEnemyKills', target = 500, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 5, info = 'Well done!' },
            },
        },

        {
            name = 'Level 37',
            briefing = 'Kill 100 Miners',
            thumbnail = 'sprt_preview_mission_iceland_1',
			landscape = 'IcelandLandscape',
            starting_probabilities = homer_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 24000, info = 'Score 24000' },
                --{ type = 'TargetCombo', target = 100, info = 'Make a 100 combo' },
                --{ type = 'TargetTotalEnemyKills', target = 10, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
				{ type = 'TargetMinerKilled', target = 100, info = 'Kill 100 Miners' },
            },
        },

        {
            name = 'Level 38',
            briefing = 'Kill 100 Gunners, \n 100 Homers and 200 Bouncers',
            thumbnail = 'sprt_preview_mission_iceland_1',
			landscape = 'IcelandLandscape2',
            starting_probabilities = min_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 8000, info = 'Great score!' },
                --{ type = 'TargetCombo', target = 10, info = 'Nice combo!' },
                --{ type = 'TargetTotalEnemyKills', target = 300, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
				{ type = 'TargetGunnerKilled', target = 100, info = 'Kill 100 Gunners' },
				{ type = 'TargetHomerKilled', target = 100, info = 'Kill 100 Homers' },
				{ type = 'TargetBouncerKilled', target = 100, info = 'Kill 200 Bouncers' },
            },
        },
        {
            name = 'Level 39',
            briefing = 'Make a 120 combo',
            thumbnail = 'sprt_preview_mission_iceland_1',
			landscape = 'IcelandLandscape2',
            starting_probabilities = min_probabilities,
            objectives =
            {
                --{ type = 'TargetScore', target = 1000, info = 'Great score!' },
                { type = 'TargetCombo', target = 120, info = 'Make a 120 combo' },
                --{ type = 'TargetTotalEnemyKills', target = 400, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
            },
        },
        {
            name = 'Level 40',
            briefing = 'Score 30000',
            thumbnail = 'sprt_preview_mission_iceland_1',
			landscape = 'IcelandLandscape2',
            starting_probabilities = min_probabilities,
            objectives =
            {
                { type = 'TargetScore', target = 30000, info = 'Score 30000' },
                --{ type = 'TargetCombo', target = 10, info = 'Nice combo!' },
                --{ type = 'TargetTotalEnemyKills', target = 400, info = 'Great massacre!' },
                --{ type = 'TargetDifferentEnemyKills', target = 5, info = 'Well done!' },
                --{ type = 'TargetLevelsPlayed', target = 3, info = 'Well done!' },
            },
			rewards =
            {
                'UnlockSkin_monstertruck',
            },
        },
    }
end
